AsterNet Class Library (Sandcastle documentation)

| AGIScript GetVariable Method

Returns the value of the given channel variable.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected string GetVariable(
    	string name
    )

    Protected Function GetVariable (
    	name As String
    ) As String

    protected:
    String^ GetVariable(
    	String^ name
    )

    member GetVariable :
            name : string -> string

#### Parameters

name
  Type: System
  String
  the name of the variable to retrieve.

#### Return Value

Type: String
the value of the given variable or null if not set.
See Also

#### Reference

AGIScript Class
AsterNET.FastAGI Namespace